Object.defineProperty(exports, '__esModule', { value: true });

const menu = [
    {
        title: "设备实况展示",
        index: "1",
        icon: "VideoCamera",
        isTitle:true,
        hasGroup:true,
        redirect:null,
        item: [
            {
                group: "雷达展示",
                content: [
                    {
                        title: "激光雷达展示",
                        index: "1-1",
                        redirect:"/app-vite2#/radar/laser"
                    },
                    {
                        title: "毫米波雷达展示",
                        index: "1-2",
                        redirect:"/app-vite2#/radar/millimeterWave"
                    },
                    {
                        title: "超声波雷达展示",
                        index: "1-3",
                        redirect:"/app-vite2#/radar/ultrasonic"
                    }
                ]
            },
            {
                group: "其他展示",
                content: [
                    {
                        title: "红外IPC展示",
                        index: "1-4",
                        redirect:"/app-vite2#/radar/infraRed"
                    },
                    {
                        title: "摄像头展示",
                        index: "1-5",
                        redirect:"/app-vite2#/radar/camera"
                    },
                    {
                        title: "电机展示",
                        index: "1-6",
                        redirect:"/app-vite2#/radar/electricMachinery"
                    },
                    {
                        title: "360全景展示",
                        index: "1-7",
                        redirect:"/app-vite2#/radar/panorama"
                    }
                ]
            }
        ]
    },
    {
        title: "设备总览",
        index: "2",
        icon: "FolderAdd",
        isTitle:true,
        hasGroup:false,
        redirect:null,
        item: [
            {
                title: "设备详情总览",
                index: "/app-vite#/overview",
                redirect:"/app-vite#/child/overview",
            },
            {
                title: "坦克设备详情",
                index: "/app-vite#/tank",
                redirect:"/app-vite#/child/tank"
            },
            {
                title: "舰船设备详情",
                index: "/app-vite#/warship",
                redirect:"/app-vite#/child/warship"
            }
        ]
    },
    {
        title: "数据展示",
        index: "3",
        icon: "DataAnalysis",
        isTitle:false,
        hasGroup:false,
        item: null,
        redirect:"/app-vite3#/dataDisplay/data"
    },
    {
        title: "配置中心-用户",
        index: "4",
        icon: "User",
        isTitle:false,
        hasGroup:false,
        item: null,
        redirect:"/app-vite4#/toConfigure/user"
    },
    {
        title: "配置中心-规则",
        index: "5",
        icon: "Setting",
        isTitle:false,
        hasGroup:false,
        item: null,
        redirect:"/app-vite4#/toConfigure/rule"
    }
];

class Menu {

    test = ()=>{
        console.log("fzb")
    }

    getMenuOfRobot = ()=>{
        return menu;
    }

}

import {Scene, PointLayer, Popup} from '@antv/l7';
import { GaodeMap } from '@antv/l7-maps';

class AntV {
    mapInit = (sceneConfig,iconList,dataJsonList,option)=>{
        const scene = new Scene({
            id: sceneConfig.dom || 'map',
            map: new GaodeMap({
                pitch: sceneConfig.pitch || 50,
                style: sceneConfig.style || 'dark',
                center: sceneConfig.center || [ 120.5969, 29.7918 ],
                rotation: sceneConfig.rotation || 0,
                zoom: sceneConfig.zoom || 8
            }),
            logoVisible:false
        });

        scene.on('loaded', () => {
            iconList.forEach(x=>{
                scene.addImage(
                    x.id,
                    x.img
                );
            })
            fetch(dataJsonList)
                .then(res => res.json())
                .then(data => {
                    const imageLayer = new PointLayer()
                        .source(data)
                        .shape(option.shapeField || 'w', function(w) {
                            return w;
                        })
                        .size(15);
                    scene.addLayer(imageLayer);
                    imageLayer.on('click', e => {
                        window.eventCenterForAppNameVite.dispatch({ myname: e });
                    });

                    imageLayer.on('mousemove',e=>{
                        const popup = new Popup({
                            offsets: [ 0, 0 ],
                            closeButton: false
                        })
                            .setLnglat(e.lngLat)
                            .setHTML(`<span>${e.feature.s}: ${e.feature.t}</span>`);
                            scene.addPopup(popup);
                    })

                });

            });
        }

}


class myDate{

    runClock = ()=>{

        setInterval(this.getTime(),1000)

    }

    getTime=()=>{
        let myDate = new Date();
        let myYear = myDate.getFullYear(); //获取完整的年份(4位,1970-????)
        let myMonth = myDate.getMonth()+1; //获取当前月份(0-11,0代表1月)
        let myToday = myDate.getDate(); //获取当前日(1-31)
        let myDay = myDate.getDay(); //获取当前星期X(0-6,0代表星期天)
        let myHour = myDate.getHours(); //获取当前小时数(0-23)
        let myMinute = myDate.getMinutes(); //获取当前分钟数(0-59)
        let mySecond = myDate.getSeconds(); //获取当前秒数(0-59)
        let week = ['星期日','星期一','星期二','星期三','星期四','星期五','星期六'];
        return  myYear+'-'+this.fillZero(myMonth)+'-'+this.fillZero(myToday)+'  '+week[myDay]+'  '+this.fillZero(myHour)+':'+this.fillZero(myMinute)+':'+this.fillZero(mySecond);
    }

    fillZero=(str)=>{
        let realNum;
        if(str<10){
            realNum	= '0'+str;
        }else{
            realNum	= str;
        }
        return realNum;
    }


}

class DigitalTools{

    constructor(a) {
        this.a = a;
        this.b = (a, b) => {
            let f, g, c = this.d(b),
                e = c.toString().length;
            for (f = 0; e > f; f++) g = document.createElement("div"), g.className = "," != c[f] && "." != c[f] ? "to__led-number" : "to__led-number to__led-number--no", g.innerHTML = c[f], a.appendChild(g)
        };
        this.c = (a, b, c) => {
            let h;

            function i() {
                return 9 == h ? h = 0 : h++, h
            }

            let e, f, g, j, k, d = a.childNodes.length - 1;
            for (e = 0; e < a.childNodes.length; e++) f = {}, f = "left" == c ? a.childNodes[e] : a.childNodes[d], g = f.innerHTML, h = 0, f.innerHTML = "", "," != g && "." != g && (b.timerTemp += b.single), j = .5 * b.timerTemp / b.speed, k = b.timerTemp - j, ! function(a, b) {
                setTimeout(function() {
                    if (a.innerHTML = b, "," != b && "." != b) {
                        a.innerHTML = b;
                        var c = setInterval(function() {
                            a.innerHTML = i()
                        }, 50);
                        setTimeout(function() {
                            clearInterval(c), a.innerHTML = b
                        }, 1e3 * k)
                    } else a.innerHTML = b
                }, 1e3 * j)
            }(f, g), d--
        }

        this.d = (a)=>{
            let c, d, f, g, h;
            for (a = a.toString(), c = a.split("."), d = c[0], f = "." + c[1], g = d, h = 1; h <= Math.floor((d.length - 1) / 3); h++) g = this.e(g, d.length - 3 * h, ",");
            return c[1] && (g += f), g
        }

        this.e = (a, b, c)=> {
            return a.slice(0, b) + c + a.slice(b)
        }
    }



    render = () =>{
        let d = this.a.direction,
            e = this.a.finish,
            f = this.a.speed,
            g = this.a.number.toString().replace(".", "").length - 1,
            h = Number((e / g).toFixed(2)),
            i = {
                number: g,
                single: h,
                speed: f,
                timerTemp: 0
            };
        i.timerTemp -= i.single, this.b(this.a.dom, this.a.number), this.c(this.a.dom, i, d)
    }


}

exports.DigitalTools = new DigitalTools();

exports.myDate = new myDate();

exports.Menu =new Menu();

exports.AntV = new AntV();